Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Interface QXmlEntityResolverInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  QXmlDefaultHandler, QXmlEntityResolver

    public interface QXmlEntityResolverInterface

extends QtJambiInterface

The QXmlEntityResolver class provides an interface to resolve external entities contained in XML data. If an application needs to implement customized handling for external entities, it must implement this interface, i.e. resolveEntity(), and register it with QXmlReader::setEntityResolver().

See also:
  QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlErrorHandler, QXmlLexicalHandler, and Introduction to SAX2.

Method Summary
`java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`QXmlEntityResolver.ResolvedEntity` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` The reader calls this function before it opens any external entity, except the top-level document entity.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### errorString

    java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

### resolveEntity

    QXmlEntityResolver.ResolvedEntity resolveEntity(java.lang.String publicId,
                                                    java.lang.String systemId)

  The reader calls this function before it opens any external entity, except the top-level document entity. The application may request the reader to resolve the entity itself (`ret` is 0) or to use an entirely different input source (`ret` points to the input source).

  The reader deletes the input source `ret` when it no longer needs it, so you should allocate it on the heap with `new`.

  The argument `publicId` is the public identifier of the external entity, `systemId` is the system identifier of the external entity and `ret` is the return value of this function. If `ret` is 0 the reader should resolve the entity itself, if it is non-zero it must point to an input source which the reader uses instead.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD